# Информации о владельце квалифицированного сертификата

## Атрибуты имени

### Стандартные атрибуты имени

При описании формы квалифицированного сертификата используются следующие стандартные атрибуты имени:

| Наименование атрибута                                                       | RDN      | Варианты наименования       | OID        |
|-----------------------------------------------------------------------------|----------|-----------------------------|------------|
| **Общее имя** *(Удостоверяющий центр - для issuer; Владелец - для subject)* | `CN`     | `commonName`                | `2.5.4.3`  |
| **Фамилия**                                                                 | `SN`     | `surname`                   | `2.5.4.4`  |
| **Приобретенное имя** *(Имя Отчество - для owner;)*                         | `G`      | `givenName`, `gn`           | `2.5.4.42` |
| **Страна**                                                                  | `C`      | `countryName`               | `2.5.4.6`  |
| **Регион**                                                                  | `S`      | `ST`, `stateOrProvinceName` | `2.5.4.8`  |
| **Город**                                                                   | `L`      | `localityName`              | `2.5.4.7`  |
| **Адрес**                                                                   | `STREET` | `streetAddress`             | `2.5.4.9`  |
| **Наименование организации**                                                | `O`      | `organizationName`          | `2.5.4.10` |
| **Подразделение организации**                                               | `OU`     | `organizationalUnitName`    | `2.5.4.11` |
| **Должность**                                                               | `T`      | `TITLE`                     | `2.5.4.12` |

Для включения в квалифицированный сертификат иной информации о владельце квалифицированного сертификата рекомендуется использовать стандартные атрибуты имени, описанные в справочнике выбранных типов атрибутов (ГОСТ Р ИСО/МЭК 9594-6-98
"Информационная технология. Взаимосвязь открытых систем. Справочник. Часть 6." и ISO/IEC 9594-6:2008 "Information technology - Open systems interconnection - The Directory: Selected attribute types")

### Дополнительные атрибуты имени

К дополнительным атрибутам имени, необходимость использования которых устанавливается в соответствии с Федеральным законом от 6 апреля 2011 г. N 63-ФЗ "Об электронной подписи", относятся:

| Наименование атрибута     | RDN      | Варианты наименования        | OID                 |
|---------------------------|----------|------------------------------|---------------------|
| **ОГРН**                  | `OGRN`   | `ОГРН`                       | `1.2.643.100.1`     |
| **СНИЛС**                 | `SNILS`  | `СНИЛС`                      | `1.2.643.100.3`     |
| **ИНН физического лица**  | `INN`    | `ИНН`, `ИНН ФЛ`, `ИННФЛ`     | `1.2.643.3.131.1.1` |
| **ИНН юридического лица** | `INNLE`  | `ИННЮЛ`, `ИНН ЮЛ`', `INN LE` | `1.2.643.100.4`     |
| **ОГРНИП**                | `OGRNIP` | `ОГРНИП`                     | `1.2.643.100.5`     |
