<?php

namespace Webmasterskaya\CryptoPro\Constants;

class CAPICOM_STORE_LOCATION
{
	/**
	 * Хранилище памяти.
	 * Любые изменения в содержимом хранилища не сохраняются.
	 */
	const MEMORY_STORE = 0;

	/**
	 * Локальное хранилище компьютера.
	 * Локальное хранилище компьютера моет использоваться только в том случае, если у пользователя есть разрешения на чтение и запись.
	 * Если у пользователя есть разрешения на чтение и запись и открытие хранилища, изменения содержимого хранилища сохраняются.
	 */
	const LOCAL_MACHINE_STORE = 1;

	/**
	 * Хранилище текущего пользователя.
	 * Текущее хранилище пользователей может быть хранилищем для чтения и записи. Если это так, изменения в содержимом хранилища сохраняются.
	 */
	const CURRENT_USER_STORE = 2;

	/**
	 * Хранилище — это хранилище Active Directory. Хранилища Active Directory можно открывать только в режиме только для чтения. Сертификаты нельзя добавлять или удалять из хранилищ Active Directory.
	 */
	const ACTIVE_DIRECTORY_USER_STORE = 3;

	/**
	 * Хранилище сертификатов на основе смарт-карт
	 */
	const SMART_CARD_USER_STORE = 4;
}